# Bulk edit one or more Assets. Perform metadata edits and/or reassign Security Templates to one or more Assets. Assets are identified by Object ID. If multiple Assets are specified, the same metadata and/or security edits will be applied to all Assets in the request. Each Metadata Attribute is identified by a Metadata Definition ID. The user performing the bulk edit must have the Edit Metadata permission granted on each Asset being edited. Endpoint: PATCH /asset Version: 1.0 Security: ApiKeyAuth, BasicAuth ## Header parameters: - `X-API-Key` (string, required) Customer-specific API key required to invoke API. - `Authorization` (string, required) Provided by Authentication Token creation operation - `AccessToken` (string, required) JWT token provided by Authentication Token creation operation. - `Content-Type` (string, required) Enum: "application/json" ## Request fields (application/json): - `metadataTemplateId` (string, required) Metadata Template ID to assign to the edited Assets. Example: "ea6eb24d-adef-4080-bd02-f64f567c437f" - `metadataDocument` (array) An array of metadata attribute operations - `objectIds` (array, required) An array of Asset Object IDs Example: ["e55bdb0c-022b-475d-9e26-9d74552e1e81"] - `securityTemplateIds` (array) An array of Security Template IDs. Example: ["a7099f22-4585-4533-88b4-a5e9dff928bc"] - `securityTemplateOp` (string) Operation to either replace or append to the currently assigned list of Security Template IDs with the provided list of Security Template IDs. Enum: "replace", "append" ## Response 200 fields (application/json): - `jobId` (string) Job ID of the submitted Bulk Edit Job. Example: "5fa57655-c56c-47d3-a409-751fd5fd9735" - `collectionId` (string) Collection ID of the Collection containing the Assets being bulk edited. Example: "7c6a6a3b-cac0-4218-be3b-515e0f9cb967" ## Response 400 fields (application/json): - `message` (string) - `detail` (string) ## Response 401 fields (application/json): - `message` (string) - `detail` (string) ## Response 403 fields (application/json): - `message` (string) - `detail` (string)